libstdc++: std::numeric_limits< wchar_t > Struct Reference

libstdc++

std::numeric_limits< wchar_t > Struct Reference

`#include <limits>`

Inheritance diagram for std::numeric_limits< wchar_t >:
[legend]

## Static Public Member Functions
static constexpr wchar_t | denorm_min () noexcept
static constexpr wchar_t | epsilon () noexcept
static constexpr wchar_t | infinity () noexcept
static constexpr wchar_t | lowest () noexcept
static constexpr wchar_t | max () noexcept
static constexpr wchar_t | min () noexcept
static constexpr wchar_t | quiet_NaN () noexcept
static constexpr wchar_t | round_error () noexcept
static constexpr wchar_t | signaling_NaN () noexcept

## Static Public Attributes
static constexpr int | digits
static constexpr int | digits
static constexpr int | digits10
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | tinyness_before
static constexpr bool | traps
static constexpr bool | traps

## Detailed Description

numeric_limits<wchar_t> specialization.

Definition at line 683 of file limits.

## Member Function Documentation

## ◆ denorm_min()

constexpr wchar_t std::numeric_limits< wchar_t >::denorm_min | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 739 of file limits.

## ◆ epsilon()

constexpr wchar_t std::numeric_limits< wchar_t >::epsilon | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 710 of file limits.

## ◆ infinity()

constexpr wchar_t std::numeric_limits< wchar_t >::infinity | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 730 of file limits.

## ◆ lowest()

constexpr wchar_t std::numeric_limits< wchar_t >::lowest | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 695 of file limits.

## ◆ max()

constexpr wchar_t std::numeric_limits< wchar_t >::max | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 691 of file limits.

## ◆ min()

constexpr wchar_t std::numeric_limits< wchar_t >::min | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 688 of file limits.

## ◆ quiet_NaN()

constexpr wchar_t std::numeric_limits< wchar_t >::quiet_NaN | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 733 of file limits.

## ◆ round_error()

constexpr wchar_t std::numeric_limits< wchar_t >::round_error | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 713 of file limits.

## ◆ signaling_NaN()

constexpr wchar_t std::numeric_limits< wchar_t >::signaling_NaN | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 736 of file limits.

## Member Data Documentation

## ◆ digits [1/2]

int std::numeric_limits< wchar_t >::digits
| staticconstexpr

Definition at line 698 of file limits.

## ◆ digits [2/2]

int std::__numeric_limits_base::digits
| staticconstexpr

The number of `radix` digits that be represented without change: for integer types, the number of non-sign bits in the mantissa; for floating types, the number of `radix` digits in the mantissa.

Definition at line 224 of file limits.

## ◆ digits10 [1/2]

int std::numeric_limits< wchar_t >::digits10
| staticconstexpr

Definition at line 699 of file limits.

## ◆ digits10 [2/2]

int std::__numeric_limits_base::digits10
| staticconstexpr

The number of base 10 digits that can be represented without change.

Definition at line 227 of file limits.

## ◆ has_denorm [1/2]

float_denorm_style std::numeric_limits< wchar_t >::has_denorm
| staticconstexpr

Definition at line 724 of file limits.

## ◆ has_denorm [2/2]

float_denorm_style std::__numeric_limits_base::has_denorm
| staticconstexpr

See std::float_denorm_style for more information.

Definition at line 280 of file limits.

## ◆ has_denorm_loss [1/2]

bool std::numeric_limits< wchar_t >::has_denorm_loss
| staticconstexpr

Definition at line 727 of file limits.

## ◆ has_denorm_loss [2/2]

bool std::__numeric_limits_base::has_denorm_loss
| staticconstexpr

True if loss of accuracy is detected as a denormalization loss, rather than as an inexact result.

Definition at line 285 of file limits.

## ◆ has_infinity [1/2]

bool std::numeric_limits< wchar_t >::has_infinity
| staticconstexpr

Definition at line 720 of file limits.

## ◆ has_infinity [2/2]

bool std::__numeric_limits_base::has_infinity
| staticconstexpr

True if the type has a representation for positive infinity.

Definition at line 268 of file limits.

## ◆ has_quiet_NaN [1/2]

bool std::numeric_limits< wchar_t >::has_quiet_NaN
| staticconstexpr

Definition at line 721 of file limits.

## ◆ has_quiet_NaN [2/2]

bool std::__numeric_limits_base::has_quiet_NaN
| staticconstexpr

True if the type has a representation for a quiet (non-signaling) Not a Number.

Definition at line 272 of file limits.

## ◆ has_signaling_NaN [1/2]

bool std::numeric_limits< wchar_t >::has_signaling_NaN
| staticconstexpr

Definition at line 722 of file limits.

## ◆ has_signaling_NaN [2/2]

bool std::__numeric_limits_base::has_signaling_NaN
| staticconstexpr

True if the type has a representation for a signaling Not a Number.

Definition at line 276 of file limits.

## ◆ is_bounded [1/2]

bool std::numeric_limits< wchar_t >::is_bounded
| staticconstexpr

Definition at line 742 of file limits.

## ◆ is_bounded [2/2]

bool std::__numeric_limits_base::is_bounded
| staticconstexpr

True if the set of values representable by the type is finite. All built-in types are bounded, this member would be false for arbitrary precision types.

Definition at line 294 of file limits.

## ◆ is_exact [1/2]

bool std::numeric_limits< wchar_t >::is_exact
| staticconstexpr

Definition at line 706 of file limits.

## ◆ is_exact [2/2]

bool std::__numeric_limits_base::is_exact
| staticconstexpr

True if the type uses an exact representation. All integer types are exact, but not all exact types are integer. For example, rational and fixed-exponent representations are exact but not integer.

Definition at line 244 of file limits.

## ◆ is_iec559 [1/2]

bool std::numeric_limits< wchar_t >::is_iec559
| staticconstexpr

Definition at line 741 of file limits.

## ◆ is_iec559 [2/2]

bool std::__numeric_limits_base::is_iec559
| staticconstexpr

True if-and-only-if the type adheres to the IEC 559 standard, also known as IEEE 754. (Only makes sense for floating point types.)

Definition at line 289 of file limits.

## ◆ is_integer [1/2]

bool std::numeric_limits< wchar_t >::is_integer
| staticconstexpr

Definition at line 705 of file limits.

## ◆ is_integer [2/2]

bool std::__numeric_limits_base::is_integer
| staticconstexpr

True if the type is integer.

Definition at line 239 of file limits.

## ◆ is_modulo [1/2]

bool std::numeric_limits< wchar_t >::is_modulo
| staticconstexpr

Definition at line 743 of file limits.

## ◆ is_modulo [2/2]

bool std::__numeric_limits_base::is_modulo
| staticconstexpr

True if the type is modulo. A type is modulo if, for any operation involving +, -, or * on values of that type whose result would fall outside the range [min(),max()], the value returned differs from the true value by an integer multiple of max() - min() + 1. On most machines, this is false for floating types, true for unsigned integers, and true for signed integers. See PR22200 about signed integers.

Definition at line 303 of file limits.

## ◆ is_signed [1/2]

bool std::numeric_limits< wchar_t >::is_signed
| staticconstexpr

Definition at line 704 of file limits.

## ◆ is_signed [2/2]

bool std::__numeric_limits_base::is_signed
| staticconstexpr

True if the type is signed.

Definition at line 236 of file limits.

## ◆ is_specialized [1/2]

bool std::numeric_limits< wchar_t >::is_specialized
| staticconstexpr

Definition at line 685 of file limits.

## ◆ is_specialized [2/2]

bool std::__numeric_limits_base::is_specialized
| staticconstexpr

This will be true for all fundamental types (which have specializations), and false for everything else.

Definition at line 219 of file limits.

## ◆ max_digits10 [1/2]

int std::numeric_limits< wchar_t >::max_digits10
| staticconstexpr

Definition at line 702 of file limits.

## ◆ max_digits10 [2/2]

int std::__numeric_limits_base::max_digits10
| staticconstexpr

The number of base 10 digits required to ensure that values which differ are always differentiated.

Definition at line 232 of file limits.

## ◆ max_exponent [1/2]

int std::numeric_limits< wchar_t >::max_exponent
| staticconstexpr

Definition at line 717 of file limits.

## ◆ max_exponent [2/2]

int std::__numeric_limits_base::max_exponent
| staticconstexpr

The maximum positive integer such that `radix` raised to the power of (one less than that integer) is a representable finite floating point number.

Definition at line 261 of file limits.

## ◆ max_exponent10 [1/2]

int std::numeric_limits< wchar_t >::max_exponent10
| staticconstexpr

Definition at line 718 of file limits.

## ◆ max_exponent10 [2/2]

int std::__numeric_limits_base::max_exponent10
| staticconstexpr

The maximum positive integer such that 10 raised to that power is in the range of representable finite floating point numbers.

Definition at line 265 of file limits.

## ◆ min_exponent [1/2]

int std::numeric_limits< wchar_t >::min_exponent
| staticconstexpr

Definition at line 715 of file limits.

## ◆ min_exponent [2/2]

int std::__numeric_limits_base::min_exponent
| staticconstexpr

The minimum negative integer such that `radix` raised to the power of (one less than that integer) is a normalized floating point number.

Definition at line 252 of file limits.

## ◆ min_exponent10 [1/2]

int std::numeric_limits< wchar_t >::min_exponent10
| staticconstexpr

Definition at line 716 of file limits.

## ◆ min_exponent10 [2/2]

int std::__numeric_limits_base::min_exponent10
| staticconstexpr

The minimum negative integer such that 10 raised to that power is in the range of normalized floating point numbers.

Definition at line 256 of file limits.

## ◆ radix [1/2]

int std::numeric_limits< wchar_t >::radix
| staticconstexpr

Definition at line 707 of file limits.

## ◆ radix [2/2]

int std::__numeric_limits_base::radix
| staticconstexpr

For integer types, specifies the base of the representation. For floating types, specifies the base of the exponent representation.

Definition at line 248 of file limits.

## ◆ round_style [1/2]

float_round_style std::numeric_limits< wchar_t >::round_style
| staticconstexpr

Definition at line 747 of file limits.

## ◆ round_style [2/2]

float_round_style std::__numeric_limits_base::round_style
| staticconstexpr

See std::float_round_style for more information. This is only meaningful for floating types; integer types will all be round_toward_zero.

Definition at line 314 of file limits.

## ◆ tinyness_before [1/2]

bool std::numeric_limits< wchar_t >::tinyness_before
| staticconstexpr

Definition at line 746 of file limits.

## ◆ tinyness_before [2/2]

bool std::__numeric_limits_base::tinyness_before
| staticconstexpr

True if tininess is detected before rounding. (see IEC 559)

Definition at line 309 of file limits.

## ◆ traps [1/2]

bool std::numeric_limits< wchar_t >::traps
| staticconstexpr

Definition at line 745 of file limits.

## ◆ traps [2/2]

bool std::__numeric_limits_base::traps
| staticconstexpr

True if trapping is implemented for this type.

Definition at line 306 of file limits.

The documentation for this struct was generated from the following file:

- limits